Main Page Class Hierarchy Compound List File List Compound Members File Members

# seiputaway.c File Reference

`#include <stdio.h>`
`#include <time.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <errno.h>`
`#include <math.h>`
`#include <float.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include "earthworm.h"`
`#include "trace_buf.h"`
`#include "swap.h"`
`#include "ws_clientII.h"`
`#include "site.h"`
`#include "time_ew.h"`
`#include "seihead.h"`

Go to the source code of this file.

## Functions
int | SEIPA_init (char *output_dir, char *output_format, int debug)
int | SEIPA_next_ev (TRACE_REQ *trace_req, int n_reqs, char *output_dir, char *e_date, char *e_time, char *subnet, int debug)
int | SEIPA_next (TRACE_REQ *trace_req, double gap_thresh, int debug)
int | SEIPA_end_ev (int debug)
int | SEIPA_close (int debug)
## Variables
int | output_native_numbers

## Function Documentation

int SEIPA_close | ( | int | debug | ) |

| Definition at line 375 of file seiputaway.c. References EW_SUCCESS, and logit(). Referenced by PA_close().

int SEIPA_end_ev | ( | int | debug | ) |

| Definition at line 339 of file seiputaway.c. References close_seisan_file(), EW_FAILURE, EW_SUCCESS, and logit(). Referenced by PA_end_ev().

int SEIPA_init | ( | char * | output_dir,
|  | char * | output_format,
|  | int | debug
| ) |

| Definition at line 66 of file seiputaway.c. References CreateDir(), EW_FAILURE, EW_SUCCESS, FALSE, logit(), output_native_numbers, and TRUE. Referenced by PA_init().

int SEIPA_next | ( | TRACE_REQ * | trace_req,
|  | double | gap_thresh,
|  | int | debug
| ) |

| Definition at line 210 of file seiputaway.c. References add_seisan_channel_data(), TRACE_REQ::chan, Found_data::data, Found_data::data_type_code, end_seisan_channel(), EW_FAILURE, EW_SUCCESS, FD_BAD_DATATYPE, FD_CHANGED_SRATE, FD_DOUBLE, FD_FLOAT, FD_FOUND_GAP, FD_FOUND_REQUESTED, FD_LONG_INT, FD_NO_MORE_DATA, FD_SHORT_INT, logit(), Found_data::n_samples, TRACE_REQ::net, pa_find_data(), TRACE_REQ::reqEndtime, TRACE_REQ::reqStarttime, Found_data::sample_rate, SEISAN_MISSING_DATA_FLAG, TRACE_REQ::sta, and start_seisan_channel(). Referenced by PA_next().

int SEIPA_next_ev | ( | TRACE_REQ * | trace_req,
|  | int | n_reqs,
|  | char * | output_dir,
|  | char * | e_date,
|  | char * | e_time,
|  | char * | subnet,
|  | int | debug
| ) |

| Definition at line 123 of file seiputaway.c. References add_seisan_channel(), TRACE_REQ::chan, EW_FAILURE, EW_SUCCESS, logit(), TRACE_REQ::net, open_seisan_file(), TRACE_REQ::reqEndtime, TRACE_REQ::reqStarttime, and TRACE_REQ::sta. Referenced by PA_next_ev().

## Variable Documentation

int output_native_numbers`[static]`

| Definition at line 48 of file seiputaway.c. Referenced by SEIPA_init().